Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.http.servlets
Class Log4jInit

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.exist.http.servlets.Log4jInit

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class Log4jInit
extends javax.servlet.http.HttpServlet

Helper servlet for initializing the log4j framework in a webcontainer.

See Also:
  Serialized Form

Constructor Summary
`Log4jInit()`

Method Summary
`void` | `doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` Empty method.
`void` | `init()` Initialize servlet for log4j purposes in servlet container (war file).
`boolean` | `isInWarFile()` Check wether exist runs in Servlet container (as war file).

Methods inherited from class javax.servlet.http.HttpServlet
`service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Log4jInit

    public Log4jInit()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Initialize servlet for log4j purposes in servlet container (war file).

  Throws:
    `javax.servlet.ServletException`

### isInWarFile

    public boolean isInWarFile()

  Check wether exist runs in Servlet container (as war file).

  Returns:
    TRUE if exist runs in servlet container.

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest req,
                      javax.servlet.http.HttpServletResponse res)

  Empty method.

  Parameters:
    `req` - HTTP Request object
    `res` - HTTP Response object

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.